Name:           tweak
Version:        3.02

Release:        4%{?dist}
Summary:        An efficient hex editor
Group:          Applications/Editors
License:        MIT
URL:            http://www.chiark.greenend.org.uk/~sgtatham/tweak/

Source0:        http://www.chiark.greenend.org.uk/~sgtatham/tweak/tweak-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ncurses-devel

%description
Tweak is a hex editor. It allows you to edit a file at very low level, letting
you see the full and exact binary contents of the file. It can be useful for
modifying binary files such as executables, editing disk or CD images,
debugging programs that generate binary file formats incorrectly, and many
other things.

%prep
%setup -q

%build

# Disable custom .c.o rule so we can use standard RPM macros instead
sed -i -e 's|^.c.o|.disabled.c.o|' Makefile

# Modify the location of filepaths to conform to Filesystem Hierarchy Standard
sed -i -e 's|^PREFIX=$(DESTDIR)/usr/local|PREFIX=$(DESTDIR)/usr|' Makefile
sed -i -e 's|^MANDIR=$(PREFIX)/man/man1|MANDIR=$(PREFIX)/share/man/man1|' Makefile

make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENCE
%doc btree.html
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.02-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Mar 23 2016 Greg Bailey <gbailey@lxpro.com> 3.02-1
- New version 3.02

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.01-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.01-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.01-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.01-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.01-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 16 2013 Greg Bailey <gbailey@lxpro.com> 3.01-2
- Use Source0 instead of Source in RPM spec

* Tue Mar 26 2013 Greg Bailey <gbailey@lxpro.com> 3.01-1
- Initial packaging for Fedora

